Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity
Class MockAuthenticationManager

    java.lang.Object
      org.acegisecurity.AbstractAuthenticationManager
          org.acegisecurity.MockAuthenticationManager

All Implemented Interfaces:
  AuthenticationManager

    public class MockAuthenticationManager

extends AbstractAuthenticationManager

Simply accepts as valid whatever is passed to it, if `grantAccess` is set to `true`.

Version:
  $Id: MockAuthenticationManager.java,v 1.2 2005/11/17 00:55:49 benalex Exp $
Author:
  Ben Alex, Wesley Hall

Constructor Summary
`MockAuthenticationManager()`
`MockAuthenticationManager(boolean grantAccess)`

Method Summary
`Authentication` | `doAuthentication(Authentication authentication)` Concrete implementations of this class override this method to provide the authentication service.

Methods inherited from class org.acegisecurity.AbstractAuthenticationManager
`authenticate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockAuthenticationManager

    public MockAuthenticationManager(boolean grantAccess)

### MockAuthenticationManager

    public MockAuthenticationManager()

Method Detail

### doAuthentication

    public Authentication doAuthentication(Authentication authentication)
                                    throws AuthenticationException

  Description copied from class: `AbstractAuthenticationManager`

  Concrete implementations of this class override this method to provide the authentication service.

  The contract for this method is documented in the `AuthenticationManager.authenticate(org.acegisecurity.Authentication)`.

  Specified by:
    `doAuthentication` in class `AbstractAuthenticationManager`
  Parameters:
    `authentication` - the authentication request object
  Returns:
    a fully authenticated object including credentials
  Throws:
    `AuthenticationException` - if authentication fails

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.